import { TextField, TextFieldProps } from '../text-field/TextField';
import { ValidationMessages } from '../validator/Validator';
import { FieldType } from '../data-set/enum';
export declare type EmailFieldProps = TextFieldProps;
export default class EmailField extends TextField<EmailFieldProps> {
    static displayName: string;
    type: string;
    get range(): boolean;
    getFieldType(): FieldType;
    get defaultValidationMessages(): ValidationMessages;
}
